import 'package:flutter/material.dart';
import 'package:flutter/services.dart';
import 'package:stripe_plugin/stripe_plugin.dart';

void main() => runApp(MyApp());

class MyApp extends StatefulWidget {
  @override
  _MyAppState createState() => _MyAppState();
}

class _MyAppState extends State<MyApp> {
  @override
  void initState() {
    super.initState();
  }

  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      home: Scaffold(
        appBar: AppBar(
          title: const Text('Plugin example app'),
        ),
        body: Center(
          child: MaterialButton(
            onPressed: () async {
              try {
                await StripePlugin.openBasicPayment(StripeReq(
                  stripeKey: "pk_test_0uVMBC6Im7TKjCuA47DP4dhn00ulPQWzXv",
                  backendBaseURL:
                      "http://192.168.0.126:8000/api/v1/payment/get-stripe-secret",
                  appleMerchantID: "",
                  ephemeralKey: {
                    "id": "ephkey_1FuElUJe0stji1956YoathZ6",
                    "object": "ephemeral_key",
                    "associated_objects": [
                      {"id": "cus_GR6znwnuGMGGqL", "type": "customer"}
                    ],
                    "created": 1577437548,
                    "expires": 1577441148,
                    "livemode": false,
                    "secret":
                        "ek_test_YWNjdF8xRmNxYzlKZTBzdGppMTk1LDJ0Z0xmeVFFaDdKR0M3UU01YWJscGpUSXNJaWlyenA_005zm5D3ib"
                  },
                  orderId: "5e05a0579a185e491c2a3477",
                ));
              } on PlatformException {}
            },
            child: Text('payment'),
          ),
        ),
      ),
    );
  }
}
